Skip to main content
GET
/
api
/
v1
/
whatsapp
/
template-settings
List template settings
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/whatsapp/template-settings \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Template settings retrieved successfully",
  "data": {
    "current_page": 123,
    "data": [
      {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "params": {
          "body": {
            "1": "{{contact.name}}",
            "2": "Ambrosi Service"
          },
          "header": {}
        },
        "content": "Hi {{contact.name}}, your appointment at Ambrosi Service is confirmed.",
        "template": {
          "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "lucia_template",
          "language": "it",
          "category": "MARKETING",
          "status": "APPROVED",
          "waba_id": "1204374434226115"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "last_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:15
template_uuid
string<uuid>

Only settings of this template.

waba_id
string

Only settings whose template belongs to this WhatsApp Business Account.

status
enum<string>
Available options:
active,
inactive

Response

200 - application/json

Success

success
boolean
Example:

true

message
string
Example:

"Template settings retrieved successfully"

data
object